Subject: bug#58558: 29.0.50; re-search-forward is slow in some buffers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Apr 2023 18:22:22 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 12 Apr 2023 10:38:50 -0400
> 
> > Also, that code was there in Emacs 28 as well, so how come it suddenly
> > has this effect now?
> 
> The effect of the code depends on whether the buffer that's current when
> `cc-defs.el` is loaded has set `parse-sexp-lookup-properties`
> buffer-locally or not.
> 
> I don't have Emacs-28 at hand, but the value of
> `parse-sexp-lookup-properties` in *scratch* is (buffer-local) t in
> Emacs-29 and (global) nil in Emacs-27.

Ah, okay.  So in Emacs 29 we started setting this variable locally in
some buffers?  Do you happen to know where's the change which caused
that, and why was it done?